using System.Collections.Generic;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace AssetBank.Editor.SchemaConverter.Data.Output
{
    /// <summary>
    /// The root object of the final, structured JSON output.
    /// </summary>
    public class SceneGraph
    {
        [JsonProperty(Order = 1)]
        public Metadata metadata;

        // [JsonProperty(Order = 2)]
        // public JObject scene_data;

        [JsonProperty(Order = 3)]
        public List<string> prefabs;

        [JsonProperty(Order = 4)]
        public List<HierarchicalNode> hierarchy;
    }
}
